{ config, pkgs, ... }:

{
  imports =
    [
      /etc/nixos/hardware-configuration.nix
      ../../modules/restic.nix
      ../../profiles/base.nix
      ../../profiles/dev.nix
      ../../profiles/gui.nix
      ../../users/simon/base.nix
    ];

  boot.loader.grub.device = "/dev/disk/by-id/ata-ST500LM021-1KJ152_W623YDGB";

  boot.initrd.luks.devices = {
    root = {
      name = "root";
      device = "/dev/disk/by-uuid/4ecfca75-4dbb-4ba3-b1cd-7adf744c9446";
      preLVM = true;
      allowDiscards = true;
    };
  };

  networking.hostName = "nunotaba";

  networking.wireguard.interfaces.wg-home.ips = [ "10.80.0.4/24" ];
}
