{ config, pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
    docker-compose
    docker-ls
  ];

  virtualisation.docker = {
    enable = true;
    logDriver = "journald";
    extraOptions = builtins.concatStringsSep " " [
      "--ipv6"
      "--fixed-cidr-v6=fd00:d0ce:d0ce:d0ce::/64"
    ];
  };

  docker-containers.ipv6nat = {
    image = "robbertkl/ipv6nat";
    volumes = [
      "/var/run/docker.sock:/var/run/docker.sock:ro"
    ];
    extraDockerOptions = [
      "--network=host"
      "--cap-drop=ALL"
      "--cap-add=NET_ADMIN"
      "--cap-add=NET_RAW"
      "--cap-add=SYS_MODULE"
    ];
  };

  environment.etc."modules-load.d/ipv6nat.conf".text = "ip6_tables\n";
}
