{ pkgs, ... }:

{
  fonts = {
    fonts = with pkgs; [
      corefonts # good ol’ microsoft fonts
      google-fonts # google font collection (free)
      (unstable.nerdfonts.override { fonts = [ "Iosevka" ]; })
      #roboto # standalone roboto has awful kerning
      unstable.source-han-sans
      unstable.source-han-serif # CJK fonts
      vistafonts # newer microsoft fonts
    ];

    enableDefaultFonts = true;
    enableFontDir = true;

    fontconfig.defaultFonts = {
      monospace = [ "Iosevka Nerd Font" "Source Han Sans" ];
      sansSerif = [ "Roboto" "Source Han Sans" ];
      serif = [ "Georgia" "Source Han Serif" ];
    };
  };
}
