{ config, pkgs, ... }:

{
  programs.sway = {
    enable = true;
    extraPackages = with pkgs; [
      swaylock # lockscreen
      swayidle # autolock
      xwayland # for legacy apps
      (waybar.override { pulseSupport = true; }) # better status bar
      mako # notification daemon
      #kanshi # autorandr
      alacritty # temrinal
      unstable.dmenu-wayland # launcher
      brightnessctl # control screen brightness
      #redshift-wlr # natural color temperature
      unstable.sway-contrib.grimshot # screenshots
    ];
    extraSessionCommands = ''
      export CLUTTER_BACKEND=wayland
      export GDK_BACKEND=wayland
      export MOZ_ENABLE_WAYLAND=1
      export QT_QPA_PLATFORM=wayland-egl
      export QT_WAYLAND_DISABLE_WINDOWDECORATION=1
      export SDL_VIDEODRIVER=wayland
      export _JAVA_AWT_WM_NONREPARENTING=1
    '';
  };

  services.redshift = {
    enable = true;
    package = pkgs.redshift-wlr;
    extraOptions = [ "-m" "wayland" ];
    temperature = {
      day = 6500;
      night = 3500;
    };
  };

  systemd.user.targets.graphical-session.wantedBy = [ "multi-user.target" ];

  services.logind.lidSwitchDocked = config.services.logind.lidSwitch;
}
