{ pkgs, ... }:

let
  pubkeys = import ../../modules/pubkeys.nix;
in
{
  imports = [
    (import "${builtins.fetchTarball https://github.com/rycee/home-manager/archive/master.tar.gz}/nixos") # FIXME: pin to release
  ];

  users.users.simon = {
    isNormalUser = true;
    extraGroups = [
      "adbusers"
      "dialout"
      "docker"
      "lp"
      "networkmanager"
      "wheel"
    ];
    openssh.authorizedKeys.keys = [
      pubkeys."simon@kipf"
    ];
  };

  home-manager.useUserPackages = true;
  home-manager.useGlobalPkgs = true;

  home-manager.users.simon = { pkgs, ... }: {
    gtk = {
      enable = true;
      font.name = "sans-serif 10";
      theme = {
        package = pkgs.gnome-themes-extra;
        name = "Adwaita";
      };
      iconTheme = {
        package = pkgs.gnome3.adwaita-icon-theme;
        name = "Adwaita";
      };
    };
  };
}
